## org.hibernate.envers.query.property
Class EntityPropertyName

    java.lang.Object
      org.hibernate.envers.query.property.EntityPropertyName

All Implemented Interfaces:
  PropertyNameGetter

    public class EntityPropertyName

extends Object
implements PropertyNameGetter

Used for specifying restrictions on a property of an audited entity.

Author:
  Adam Warski (adam at warski dot org)

Constructor Summary
`EntityPropertyName(String propertyName)`

Method Summary
`String` `get(AuditConfiguration auditCfg)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EntityPropertyName

    public EntityPropertyName(String propertyName)

Method Detail

### get

    public String get(AuditConfiguration auditCfg)

  Specified by:
    `get` in interface `PropertyNameGetter`
  Parameters:
    `auditCfg` - Audit configuration.
  Returns:
    Name of the property, to be used in a query.

Copyright © 2001-2010 Red Hat, Inc. All Rights Reserved.